跳转到主要内容
网络管理/网络资源/分布式端口组相关接口
GETDistributed Port Group Related Interfaces起始版本 3.1.0同步需要认证

查询IP地址

查询IP地址

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考errot

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • ipRangeUuidString必填

      IP段UUID

    • l3NetworkUuidString必填

      分布式端口组UUID

    • ipVersionInteger必填

      IP协议号

    • ipString必填

      IP地址

    • netmaskString必填

      网络掩码

    • gatewayString必填

      网关地址

    • usedForString必填

      已使用用于。

    • ipInLonglong必填

      暂无描述。

    • vmNicUuidString必填

      虚拟机网卡UUID

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

GET/zstack/v1/l3-networks/ip-address

/zstack/v1/l3-networks/ip-address

操作 ID

QueryIpAddress

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/l3-networks/ip-address' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "uuid": "3ccfbfd6bd483a5eaeabed00b284f4fc", "ipRangeUuid": "1b3a29978ea73f0db4ce8d8c2d0bd479", "l3NetworkUuid": "c11b366475f836078e5aa86469de2eef", "ipVersion": 4.0, "ip": "192.168.1.100", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "ipInLong": 0.0, "vmNicUuid": "28e22f67b2893b208547333dfef7cfa8" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史